#!/bin/sh
#
# $FreeBSD$
#

action=$1

PREFIX=%%PREFIX%%

# source in the user configuration variables
if test -z "${source_rc_confs_defined}" ; then
	if test -r /etc/defaults/rc.conf ; then
		. /etc/defaults/rc.conf
		source_rc_confs
	elif test -r /etc/rc.conf ; then
		. /etc/rc.conf
	fi 
fi   

# The following capi4hylafax_* variables may be defined in rc.conf
#               
#	capi4hylafax_c2faxrecv_enable
#			- Set to YES to enable c2faxrecv
#			Default: NO
#
#	capi4hylafax_c2faxrecv_program
#			- Path to c2faxrecv program
#			Default: /usr/local/sbin/c2faxrecv
#
#	capi4hylafax_c2faxrecv_options
#			- Options for c2faxrecv program
#			Default: <none>
#

if test -z "${capi4hylafax_c2faxrecv_enable}" ; then
	capi4hylafax_c2faxrecv_enable="NO"
fi
if test -z "${capi4hylafax_c2faxrecv_program}" ; then
	capi4hylafax_c2faxrecv_program="/usr/local/sbin/c2faxrecv"
fi
if test -z "${capi4hylafax_c2faxrecv_options}" ; then
	capi4hylafax_c2faxrecv_options=""
fi

rc=0

case "${capi4hylafax_c2faxrecv_enable}" in
	[Yy][Ee][Ss])
		case "${action}" in

			start)
				if test -x ${capi4hylafax_c2faxrecv_program} ; then
					${capi4hylafax_c2faxrecv_program} \
						${capi4hylafax_c2faxrecv_options} &
						echo -n " CAPI4HylaFAX c2faxrecv"
				fi
				;;

			stop)
				killall -9 c2faxrecv && \
					echo -n " CAPI4HylaFAX c2faxrecv"
				;;

			*)
				echo "usage: $0 {start|stop}" 1>&2
				rc=64
				;;

		esac
		;;
	*)
		rc=0
		;;
esac

exit $rc

# End;
