--- src/standard/aString.h.cvs	Tue Jul  8 14:51:19 2003
+++ src/standard/aString.h	Tue Aug  5 16:58:19 2003
@@ -28,6 +28,45 @@
 #define _strnicmp       strncasecmp
 #define _wcsnicmp       wcsncasecmp
 
+#elif __FreeBSD__
+
+#include <wctype.h>
+
+static int ___wcsncasecmp(const tWiChar *s, const tWiChar *t, size_t len)
+{
+	register size_t		i	= 0;
+	wint_t			c, d;
+
+	/* check if we can do s.th. */
+	if (!len || s == t) {
+		return 0;
+	}
+	/* check for valid input */
+	if (!s) {
+		return  L'\0' - *t;
+	}
+	if (!t) {
+		return  *s - L'\0';
+	}
+
+	/* now compare */
+	do {
+		c = towlower(*s);
+		d = towlower(*t);
+
+		if (c == L'\0' || c != d) {
+			return c - d;
+		}
+
+	} while (i++ < len);
+
+	/* return last difference */
+	return c - d;
+}
+
+#define _strnicmp       strncasecmp
+#define _wcsnicmp       ___wcsncasecmp
+
 #endif
 
 /*===========================================================================*\
